#pragma once
#include <vector>

#include "d_3d_class.h"
#include "object.h"

class Skybox
{
public:

    Skybox();
    ~Skybox();

    void Initialize(d_3d_class* d3dClassRef); // Get all the required references
    
    object* ConstructSkybox(application_class* app);


    // Variables
    
    std::vector<ID3D11ShaderResourceView*> textures;
    std::vector<XMMATRIX> translations;

private:

    d_3d_class* m_d3dClassRef; // Reference to the d_3d_class instance
    object* m_Skybox;
    
    
};
